This file lists the user-visible interesting changes between releases. For a
full list of changes to the source, see the ChangeLog.



irc-fun-bot 0.6.0.0 -- 2016-01-27
=================================

General, build and documentation changes:

* (None)

New APIs, features and enhancements:

* `send*Now` variants for sending a message without delay
* `send*'` variants which allow to send a notice
* Move from `String` to `Text` and wrapper `newtype`s
* Remove quoting and command-list showing utilities
* `Behavior` is now abstract and has a `Default` instance
* Command names are now case-insensitive
* Optional loggers for ext event handler
* IRC event logger is now optional
* Response to nonexistent command can be turned off
* `Command` new field: Usage examples

Bug fixes:

* (None)

Dependency changes:

* Add     case-insensitive   >= 1
          data-default-class
          formatting         >= 6.2
          irc-fun-types
          text
* Require irc-fun-client     >= 0.5
* Remove  irc-fun-messages





irc-fun-bot 0.5.0.0 -- 2015-12-17
=================================

General, build and documentation changes:

* (None)

New APIs, features and enhancements:

* Debug log
* History logging (moved code from funbot)
* Per-channel history lines limit
* Message delay thread with configurable delay
* Prefix `Config` fields
* Message counting system

Bug fixes:

* Log and remember bot's own messages, otherwise logs were incomplete

Dependency changes:

* Require irc-fun-client >= 0.4





irc-fun-bot 0.4.0.0 -- 2015-10-17
=================================

General, build and documentation changes:

* (None)

New APIs, features and enhancements:

* Add 'defConfig' function, allowing new fields to be added without breakage
* Support splitting long messages
* Change some record field names to avoid collisions and mess
* Move channel list from Config.hs to the state file
* Add channel management controls and queries
* Detect IRC lag
* Revise event matchers and add several new features
* BotMessage event now also provides the full message text
* Support /me messages in events, logging and history

Bug fixes:

* When an error occurs in the IRC listener thread, inform the main thread

Dependency changes:

* Require irc-fun-client   >= 0.3
* Require irc-fun-messages >= 0.2





irc-fun-bot 0.3.0.0 -- 2015-09-22
=================================

General, build and documentation changes:

* (None)

New APIs, features and enhancements:

* Allow sending commands in private messages
* Version control support (via Git) for state file
* Nick change event available, and new nick tracker action: changeNick
* New config option, stateRepo, to specify the git repo for state file

Bug fixes:

* (None)

Dependency changes:

* Add json-state
* Require irc-fun-client >= 0.2.0.0





irc-fun-bot 0.2.0.0 -- 2015-09-10
=================================

General, build and documentation changes:

* (None)

New APIs, features and enhancements:

* Nickname tracker with control API
* Channel logger with control API
* Persistent state using JSON files
* Bot events logged into a file now, not stdout
* Event sources have access to a logging API
* Support prefix-less bot commands
* Event matching control

Bug fixes:

* (None)

Dependency changes:

* Add aeson
* Add fast-logger
* Add settings
* Add time
* Add time-interval
* Add time-units
* Add unordered-containers
* Require irc-fun-client >= 0.1.1.0





irc-fun-bot 0.1.0.0 -- 2015-08-09
=================================

General, build and documentation changes:

* (This is the first release, so everything is new)

New APIs, features and enhancements:

* (This is the first release, so everything is a new feature)

Bug fixes:

* (This is just the first release, many bugs haven't been discovered yet)

Dependency changes:

* (This is the first release)
